import 'package:osam/domain/state/base_state.dart';

typedef BaseState Reducer<ST extends BaseState<ST>>(ST state);

class Event<ST extends BaseState<ST>> {
  final Reducer<ST> reducer;

  Event({this.reducer});

  void call(ST state) => reducer(state).update();
}
