import 'package:osam/util/state_stream.dart';

abstract class INavigation<T> {
  StateStream<List<T>> get routeStream;

  void pop();

  void push(T route);

  void pushReplacement(T route);
}

abstract class ITabNavigation<T> {
  StateStream<T> get tabStream;

  void changeTab(T tab);
}
